//const { __, _x, _n, _nx } = wp.i18n;
jQuery(document).ready(function($){
var confirmar = gen.confirmar;
var cancelar = gen.cancelar;
var cabecera = gen.cabecera;
var contenido = gen.contenido;
var mensaje = gen.mensaje;
$(".geniaspin").click(function()
{
var ident = this.id;
var lastChar = ident.slice(-1);
if (lastChar == 6)
	var id = 'descripcioncat';
if (lastChar == 7)
	var id = 'descripcioncatpadre';
if ((lastChar == 4) || (lastChar == 5) || (lastChar == 1) || (lastChar == 2) || (lastChar == 3))
	var id = 'parrafo' + lastChar;
//var texto = $("textarea#"+id).val();
var texto = tinymce.get(id).getContent();
if ( texto != '' )
	{
	$("body").append("<div id='dialogo' title='"+cabecera+"'>"+contenido+"</div>");
	var resul = $("#dialogo").dialog({
		buttons : {
			[confirmar] : function() {
			$(this).dialog("close");
			openaispin(id,texto);
			$("#dialogo").css('display','none');
		},
			[cancelar] : function() {
			$(this).dialog("close");
			}
		}
		})
	}
});

function openaispin(id,texto)
{
//$('#dialog').dialog({autoOpen: false, modal: true})
//var callAjax = function(){
$.ajax({
url:gen.ajaxurl,
method:'POST',
dataType: 'json',
data:
{
   action: 'crear_spintax',
   id:id,
   texto:texto,
   nonce: gen.nonce
},
success:function(data){
			var contenido = data.contenido;
			var id = data.id;
			//$("textarea#"+id).val(contenido);
			if (contenido != '')
				{
				tinymce.get(id).setContent(contenido);
				}
			/*
			var cabecera = __('Mensaje','nichecreator');
			$("body").append("<div id='dialog' title='"+cabecera+"'>"+contenido+"</div>");
			var resul = $("#dialog").dialog({
     			 buttons : {
        		"Confirm" : function() {
       			 $(this).dialog("close");
				 location.reload();
        				}
        			}
      			})
			*/
      		}
    })

}
});

